class UserPresenter < BasePresenter
  presents :user

  def full_name
    "#{user.first_name} #{user.last_name}"
  end

  def linked_full_name
    link_to full_name, user
  end

  def article_list
    render partial: "shared/article", collection: user.articles
  end

  def homepage_link
    handle_none user.url do
      link_to user.url, user.url
    end
  end
end
